Package alt.java.net

# Class SocketImpl

java.lang.Object
alt.java.net.SocketImpl

All Implemented Interfaces:
  `Socket`

public class SocketImpl extends Object implements Socket

## Constructor Summary

Constructors
Constructor
Description
`SocketImpl(Socket socket)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`InetAddress`
`getInetAddress()`
`InputStream`
`getInputStream()`
`boolean`
`getKeepAlive()`
`InetAddress`
`getLocalAddress()`
`int`
`getLocalPort()`
`OutputStream`
`getOutputStream()`
`int`
`getPort()`
`int`
`getReceiveBufferSize()`
`int`
`getSendBufferSize()`
`int`
`getSoLinger()`
`int`
`getSoTimeout()`
`boolean`
`getTcpNoDelay()`
`void`
`setKeepAlive(boolean on)`
`void`
`setReceiveBufferSize(int size)`
`void`
`setSendBufferSize(int size)`
`void`
`setSoLinger(boolean on, int linger)`
`void`
`setSoTimeout(int timeout)`
`void`
`setTcpNoDelay(boolean on)`
`void`
`shutdownInput()`
`void`
`shutdownOutput()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SocketImpl

public SocketImpl(Socket socket)

## Method Details

### getInetAddress

public InetAddress getInetAddress()

Specified by:
  `getInetAddress` in interface `Socket`

### getLocalAddress

public InetAddress getLocalAddress()

Specified by:
  `getLocalAddress` in interface `Socket`

### getPort

public int getPort()

Specified by:
  `getPort` in interface `Socket`

### getLocalPort

public int getLocalPort()

Specified by:
  `getLocalPort` in interface `Socket`

### getInputStream

public InputStream getInputStream() throws IOException

Specified by:
  `getInputStream` in interface `Socket`
Throws:
  `IOException`

### getOutputStream

public OutputStream getOutputStream() throws IOException

Specified by:
  `getOutputStream` in interface `Socket`
Throws:
  `IOException`

### setTcpNoDelay

public void setTcpNoDelay(boolean on) throws SocketException

Specified by:
  `setTcpNoDelay` in interface `Socket`
Throws:
  `SocketException`

### getTcpNoDelay

public boolean getTcpNoDelay() throws SocketException

Specified by:
  `getTcpNoDelay` in interface `Socket`
Throws:
  `SocketException`

### setSoLinger

public void setSoLinger(boolean on, int linger) throws SocketException

Specified by:
  `setSoLinger` in interface `Socket`
Throws:
  `SocketException`

### getSoLinger

public int getSoLinger() throws SocketException

Specified by:
  `getSoLinger` in interface `Socket`
Throws:
  `SocketException`

### setSoTimeout

public void setSoTimeout(int timeout) throws SocketException

Specified by:
  `setSoTimeout` in interface `Socket`
Throws:
  `SocketException`

### getSoTimeout

public int getSoTimeout() throws SocketException

Specified by:
  `getSoTimeout` in interface `Socket`
Throws:
  `SocketException`

### setSendBufferSize

public void setSendBufferSize(int size) throws SocketException

Specified by:
  `setSendBufferSize` in interface `Socket`
Throws:
  `SocketException`

### getSendBufferSize

public int getSendBufferSize() throws SocketException

Specified by:
  `getSendBufferSize` in interface `Socket`
Throws:
  `SocketException`

### setReceiveBufferSize

public void setReceiveBufferSize(int size) throws SocketException

Specified by:
  `setReceiveBufferSize` in interface `Socket`
Throws:
  `SocketException`

### getReceiveBufferSize

public int getReceiveBufferSize() throws SocketException

Specified by:
  `getReceiveBufferSize` in interface `Socket`
Throws:
  `SocketException`

### setKeepAlive

public void setKeepAlive(boolean on) throws SocketException

Specified by:
  `setKeepAlive` in interface `Socket`
Throws:
  `SocketException`

### getKeepAlive

public boolean getKeepAlive() throws SocketException

Specified by:
  `getKeepAlive` in interface `Socket`
Throws:
  `SocketException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `Socket`
Throws:
  `IOException`

### shutdownInput

public void shutdownInput() throws IOException

Specified by:
  `shutdownInput` in interface `Socket`
Throws:
  `IOException`

### shutdownOutput

public void shutdownOutput() throws IOException

Specified by:
  `shutdownOutput` in interface `Socket`
Throws:
  `IOException`